Skip to main content
GET
/
v1
/
markets
/
{condition_id}
/
ticker
Get ticker
curl --request GET \
  --url https://api.foresight.now/v1/markets/{condition_id}/ticker
{
  "condition_id": "<string>",
  "chain_id": 56,
  "best_bid": "0.54",
  "best_ask": "0.55",
  "last_price": "0.545",
  "spread": "0.01",
  "display_price_yes": "0.55",
  "display_price_no": "0.45",
  "timestamp": "2023-11-07T05:31:56Z"
}

Path Parameters

condition_id
string
required

On-chain ConditionalTokens condition hash.

Example:

"0x9cded060be358b76678e598084cf258c7257771e473dbb461cad23417302d606"

Query Parameters

chain_id
integer
required

Blockchain network id. BSC mainnet is 56.

Example:

56

Response

OK

Standalone ticker endpoint response. All price fields are decimal strings (or null).

condition_id
string
chain_id
integer
Example:

56

best_bid
string | null
Example:

"0.54"

best_ask
string | null
Example:

"0.55"

last_price
string | null
Example:

"0.545"

spread
string | null
Example:

"0.01"

display_price_yes
string | null
Example:

"0.55"

display_price_no
string | null
Example:

"0.45"

timestamp
string<date-time>